aboutsummaryrefslogtreecommitdiff
path: root/utils/acpid/files
diff options
context:
space:
mode:
authorheil <heil@terminal-consulting.de>2015-06-17 17:11:48 +0200
committerheil <heil@terminal-consulting.de>2015-06-17 17:25:52 +0200
commit3661e01a0d68998484c49dbdbe2c40a7fdc20042 (patch)
tree35a72fa89e164db2049be96b7023a257394c94b9 /utils/acpid/files
parent73a853e1cf80d71476f938325d1b0fbdf51a7431 (diff)
acpid: Import from oldpackages, update to latest version, add myself as
maintainer, ensure musl compatibility - with acpid kvm based setups can react on acpi shutdown and reboot actions Signed-off-by: heil <heil@terminal-consulting.de>
Diffstat (limited to 'utils/acpid/files')
-rw-r--r--utils/acpid/files/acpid.hotplug7
-rw-r--r--utils/acpid/files/acpid.init25
-rw-r--r--utils/acpid/files/default5
3 files changed, 37 insertions, 0 deletions
diff --git a/utils/acpid/files/acpid.hotplug b/utils/acpid/files/acpid.hotplug
new file mode 100644
index 000000000..6e08d01a2
--- /dev/null
+++ b/utils/acpid/files/acpid.hotplug
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+. /lib/functions.sh
+
+if [ "$ACTION" = add ] && [ "$DEVICENAME" = event0 ]; then
+ ( /etc/init.d/acpid/stop; sleep 3; /usr/sbin/acpid )&
+fi
diff --git a/utils/acpid/files/acpid.init b/utils/acpid/files/acpid.init
new file mode 100644
index 000000000..3365aa022
--- /dev/null
+++ b/utils/acpid/files/acpid.init
@@ -0,0 +1,25 @@
+#!/bin/ash /etc/rc.common
+# Copyright (C) 2009-2010 OpenWrt.org
+
+START=99
+STOP=80
+
+ACPID_BIN="/usr/sbin/acpid"
+ACPID_PID="/var/run/acpid.pid"
+
+start() {
+ [ -x "$ACPID_BIN" ] || return 1
+ start-stop-daemon -S -x $ACPID_BIN -p $ACPID_PID
+}
+
+boot() {
+ # Do nothing on boot
+ [ -x "$ACPID_BIN" ] || return 1
+ start-stop-daemon -S -x $ACPID_BIN -p $ACPID_PID
+ exit 0
+}
+
+stop() {
+ service_kill ${ACPID_BIN##*/} $ACPID_PID
+ rm -f $ACPID_PID
+}
diff --git a/utils/acpid/files/default b/utils/acpid/files/default
new file mode 100644
index 000000000..cf8d9a3f2
--- /dev/null
+++ b/utils/acpid/files/default
@@ -0,0 +1,5 @@
+# This is a sample ACPID configuration
+
+event=button/power.*
+action=/sbin/poweroff
+